<div class="login-box">

    <div class="login-logo">
        <a href="../../index2.html"><b>Admin</b>LTE</a>
    </div>
    <!-- /.login-logo -->
    <div class="login-box-body">
        <p class="login-box-msg">Sign in to start your session</p>

        <!-- template referance -->
        <form #loginForm="ngForm" (submit)="onClickSubmit(loginForm.value)">
            <div class="form-group has-feedback">
                <input ngModel name="username" type="email" class="form-control" placeholder="username">
                <span class="glyphicon glyphicon-envelope form-control-feedback"></span>
            </div>
            <div class="form-group has-feedback">
                <input ngModel name="password" type="password" class="form-control" placeholder="Password">
                <span class="glyphicon glyphicon-lock form-control-feedback"></span>
            </div>

            <span style="color: red;" *ngIf="isError">Invalid Username or Password</span>
            <div class="row" style="margin-top: 8px;">
                <!-- /.col -->
                <div class="col-xs-12">
                    <button type="submit" class="btn btn-primary btn-block btn-flat">Sign In</button>
                </div>
            </div>
            <div class="row" style="margin-top: 8px;">
                <!-- /.col -->
                <div class="col-xs-12">
                    <button type="button" class="btn btn-default btn-block btn-flat" (click)="onClickRegister()">Register</button>
                </div>
            </div>
        </form>

    </div>
    <!-- /.login-box-body -->

</div>